Index: /trunk/themes/default/js/ui/jquery.ui.droppable.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.droppable.js	(revision 12524)
+++ /trunk/themes/default/js/ui/jquery.ui.droppable.js	(revision 12525)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Droppable 1.8.10
+ * jQuery UI Droppable 1.8.16
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -148,5 +148,5 @@
 
 $.extend($.ui.droppable, {
-	version: "1.8.10"
+	version: "1.8.16"
 });
 
@@ -213,8 +213,8 @@
 			m[i].visible = m[i].element.css("display") != "none"; if(!m[i].visible) continue; 									//If the element is not visible, continue
 
+			if(type == "mousedown") m[i]._activate.call(m[i], event); //Activate the droppable if used directly from draggables
+
 			m[i].offset = m[i].element.offset();
 			m[i].proportions = { width: m[i].element[0].offsetWidth, height: m[i].element[0].offsetHeight };
-
-			if(type == "mousedown") m[i]._activate.call(m[i], event); //Activate the droppable if used directly from draggables
 
 		}
@@ -238,4 +238,10 @@
 		return dropped;
 
+	},
+	dragStart: function( draggable, event ) {
+		//Listen for scrolling so that if the dragging causes scrolling the position of the droppables can be recalculated (see #5003)
+		draggable.element.parents( ":not(body,html)" ).bind( "scroll.droppable", function() {
+			if( !draggable.options.refreshPositions ) $.ui.ddmanager.prepareOffsets( draggable, event );
+		});
 	},
 	drag: function(draggable, event) {
@@ -280,4 +286,9 @@
 		});
 
+	},
+	dragStop: function( draggable, event ) {
+		draggable.element.parents( ":not(body,html)" ).unbind( "scroll.droppable" );
+		//Call prepareOffsets one final time since IE does not fire return scroll events when overflow was caused by drag (see #5003)
+		if( !draggable.options.refreshPositions ) $.ui.ddmanager.prepareOffsets( draggable, event );
 	}
 };
Index: /trunk/themes/default/js/ui/jquery.ui.mouse.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.mouse.js	(revision 12524)
+++ /trunk/themes/default/js/ui/jquery.ui.mouse.js	(revision 12525)
@@ -1,4 +1,4 @@
 /*!
- * jQuery UI Mouse 1.8.10
+ * jQuery UI Mouse 1.8.16
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -12,4 +12,9 @@
  */
 (function( $, undefined ) {
+
+var mouseHandled = false;
+$( document ).mouseup( function( e ) {
+	mouseHandled = false;
+});
 
 $.widget("ui.mouse", {
@@ -45,7 +50,5 @@
 	_mouseDown: function(event) {
 		// don't let more than one widget handle mouseStart
-		// TODO: figure out why we have to use originalEvent
-		event.originalEvent = event.originalEvent || {};
-		if (event.originalEvent.mouseHandled) { return; }
+		if( mouseHandled ) { return };
 
 		// we may have missed mouseup (out of window)
@@ -56,5 +59,7 @@
 		var self = this,
 			btnIsLeft = (event.which == 1),
-			elIsCancel = (typeof this.options.cancel == "string" ? $(event.target).parents().add(event.target).filter(this.options.cancel).length : false);
+			// event.target.nodeName works around a bug in IE 8 with
+			// disabled inputs (#7620)
+			elIsCancel = (typeof this.options.cancel == "string" && event.target.nodeName ? $(event.target).closest(this.options.cancel).length : false);
 		if (!btnIsLeft || elIsCancel || !this._mouseCapture(event)) {
 			return true;
@@ -76,4 +81,9 @@
 		}
 
+		// Click event may never have fired (Gecko & Opera)
+		if (true === $.data(event.target, this.widgetName + '.preventClickEvent')) {
+			$.removeData(event.target, this.widgetName + '.preventClickEvent');
+		}
+
 		// these delegates are required to keep context
 		this._mouseMoveDelegate = function(event) {
@@ -88,5 +98,6 @@
 
 		event.preventDefault();
-		event.originalEvent.mouseHandled = true;
+		
+		mouseHandled = true;
 		return true;
 	},
Index: /trunk/themes/default/js/ui/jquery.ui.position.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.position.js	(revision 12524)
+++ /trunk/themes/default/js/ui/jquery.ui.position.js	(revision 12525)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Position 1.8.10
+ * jQuery UI Position 1.8.16
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.ui.progressbar.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.progressbar.js	(revision 12524)
+++ /trunk/themes/default/js/ui/jquery.ui.progressbar.js	(revision 12525)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Progressbar 1.8.10
+ * jQuery UI Progressbar 1.8.16
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -96,4 +96,5 @@
 
 		this.valueDiv
+			.toggle( value > this.min )
 			.toggleClass( "ui-corner-right", value === this.options.max )
 			.width( percentage.toFixed(0) + "%" );
@@ -103,5 +104,5 @@
 
 $.extend( $.ui.progressbar, {
-	version: "1.8.10"
+	version: "1.8.16"
 });
 
Index: /trunk/themes/default/js/ui/jquery.ui.resizable.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.resizable.js	(revision 12524)
+++ /trunk/themes/default/js/ui/jquery.ui.resizable.js	(revision 12525)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Resizable 1.8.10
+ * jQuery UI Resizable 1.8.16
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -177,8 +177,10 @@
 				.addClass("ui-resizable-autohide")
 				.hover(function() {
+					if (o.disabled) return;
 					$(this).removeClass("ui-resizable-autohide");
 					self._handles.show();
 				},
 				function(){
+					if (o.disabled) return;
 					if (!self.resizing) {
 						$(this).addClass("ui-resizable-autohide");
@@ -292,4 +294,6 @@
 		var data = trigger.apply(this, [event, dx, dy]), ie6 = $.browser.msie && $.browser.version < 7, csdif = this.sizeDiff;
 
+		// Put this in the mouseDrag handler since the user can start pressing shift while resizing
+		this._updateVirtualBoundaries(event.shiftKey);
 		if (this._aspectRatio || event.shiftKey)
 			data = this._updateRatio(data, event);
@@ -349,4 +353,30 @@
 
 	},
+
+    _updateVirtualBoundaries: function(forceAspectRatio) {
+        var o = this.options, pMinWidth, pMaxWidth, pMinHeight, pMaxHeight, b;
+
+        b = {
+            minWidth: isNumber(o.minWidth) ? o.minWidth : 0,
+            maxWidth: isNumber(o.maxWidth) ? o.maxWidth : Infinity,
+            minHeight: isNumber(o.minHeight) ? o.minHeight : 0,
+            maxHeight: isNumber(o.maxHeight) ? o.maxHeight : Infinity
+        };
+
+        if(this._aspectRatio || forceAspectRatio) {
+            // We want to create an enclosing box whose aspect ration is the requested one
+            // First, compute the "projected" size for each dimension based on the aspect ratio and other dimension
+            pMinWidth = b.minHeight * this.aspectRatio;
+            pMinHeight = b.minWidth / this.aspectRatio;
+            pMaxWidth = b.maxHeight * this.aspectRatio;
+            pMaxHeight = b.maxWidth / this.aspectRatio;
+
+            if(pMinWidth > b.minWidth) b.minWidth = pMinWidth;
+            if(pMinHeight > b.minHeight) b.minHeight = pMinHeight;
+            if(pMaxWidth < b.maxWidth) b.maxWidth = pMaxWidth;
+            if(pMaxHeight < b.maxHeight) b.maxHeight = pMaxHeight;
+        }
+        this._vBoundaries = b;
+    },
 
 	_updateCache: function(data) {
@@ -363,6 +393,6 @@
 		var o = this.options, cpos = this.position, csize = this.size, a = this.axis;
 
-		if (data.height) data.width = (csize.height * this.aspectRatio);
-		else if (data.width) data.height = (csize.width / this.aspectRatio);
+		if (isNumber(data.height)) data.width = (data.height * this.aspectRatio);
+		else if (isNumber(data.width)) data.height = (data.width / this.aspectRatio);
 
 		if (a == 'sw') {
@@ -380,5 +410,5 @@
 	_respectSize: function(data, event) {
 
-		var el = this.helper, o = this.options, pRatio = this._aspectRatio || event.shiftKey, a = this.axis,
+		var el = this.helper, o = this._vBoundaries, pRatio = this._aspectRatio || event.shiftKey, a = this.axis,
 				ismaxw = isNumber(data.width) && o.maxWidth && (o.maxWidth < data.width), ismaxh = isNumber(data.height) && o.maxHeight && (o.maxHeight < data.height),
 					isminw = isNumber(data.width) && o.minWidth && (o.minWidth > data.width), isminh = isNumber(data.height) && o.minHeight && (o.minHeight > data.height);
@@ -520,5 +550,5 @@
 
 $.extend($.ui.resizable, {
-	version: "1.8.10"
+	version: "1.8.16"
 });
 
Index: /trunk/themes/default/js/ui/jquery.ui.selectable.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.selectable.js	(revision 12524)
+++ /trunk/themes/default/js/ui/jquery.ui.selectable.js	(revision 12525)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Selectable 1.8.10
+ * jQuery UI Selectable 1.8.16
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -261,5 +261,5 @@
 
 $.extend($.ui.selectable, {
-	version: "1.8.10"
+	version: "1.8.16"
 });
 
Index: /trunk/themes/default/js/ui/jquery.ui.slider.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.slider.js	(revision 12524)
+++ /trunk/themes/default/js/ui/jquery.ui.slider.js	(revision 12525)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Slider 1.8.10
+ * jQuery UI Slider 1.8.16
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -37,5 +37,9 @@
 	_create: function() {
 		var self = this,
-			o = this.options;
+			o = this.options,
+			existingHandles = this.element.find( ".ui-slider-handle" ).addClass( "ui-state-default ui-corner-all" ),
+			handle = "<a class='ui-slider-handle ui-state-default ui-corner-all' href='#'></a>",
+			handleCount = ( o.values && o.values.length ) || 1,
+			handles = [];
 
 		this._keySliding = false;
@@ -51,9 +55,6 @@
 				" ui-widget" +
 				" ui-widget-content" +
-				" ui-corner-all" );
-		
-		if ( o.disabled ) {
-			this.element.addClass( "ui-slider-disabled ui-disabled" );
-		}
+				" ui-corner-all" +
+				( o.disabled ? " ui-slider-disabled ui-disabled" : "" ) );
 
 		this.range = $([]);
@@ -61,5 +62,4 @@
 		if ( o.range ) {
 			if ( o.range === true ) {
-				this.range = $( "<div></div>" );
 				if ( !o.values ) {
 					o.values = [ this._valueMin(), this._valueMin() ];
@@ -68,38 +68,20 @@
 					o.values = [ o.values[0], o.values[0] ];
 				}
-			} else {
-				this.range = $( "<div></div>" );
-			}
-
-			this.range
+			}
+
+			this.range = $( "<div></div>" )
 				.appendTo( this.element )
-				.addClass( "ui-slider-range" );
-
-			if ( o.range === "min" || o.range === "max" ) {
-				this.range.addClass( "ui-slider-range-" + o.range );
-			}
-
-			// note: this isn't the most fittingly semantic framework class for this element,
-			// but worked best visually with a variety of themes
-			this.range.addClass( "ui-widget-header" );
-		}
-
-		if ( $( ".ui-slider-handle", this.element ).length === 0 ) {
-			$( "<a href='#'></a>" )
-				.appendTo( this.element )
-				.addClass( "ui-slider-handle" );
-		}
-
-		if ( o.values && o.values.length ) {
-			while ( $(".ui-slider-handle", this.element).length < o.values.length ) {
-				$( "<a href='#'></a>" )
-					.appendTo( this.element )
-					.addClass( "ui-slider-handle" );
-			}
-		}
-
-		this.handles = $( ".ui-slider-handle", this.element )
-			.addClass( "ui-state-default" +
-				" ui-corner-all" );
+				.addClass( "ui-slider-range" +
+				// note: this isn't the most fittingly semantic framework class for this element,
+				// but worked best visually with a variety of themes
+				" ui-widget-header" + 
+				( ( o.range === "min" || o.range === "max" ) ? " ui-slider-range-" + o.range : "" ) );
+		}
+
+		for ( var i = existingHandles.length; i < handleCount; i += 1 ) {
+			handles.push( handle );
+		}
+
+		this.handles = existingHandles.add( $( handles.join( "" ) ).appendTo( self.element ) );
 
 		this.handle = this.handles.eq( 0 );
@@ -467,4 +449,5 @@
 			this._refreshValue();
 			this._change( null, 0 );
+			return;
 		}
 
@@ -481,4 +464,5 @@
 			this._refreshValue();
 			this._change( null, index );
+			return;
 		}
 
@@ -519,8 +503,8 @@
 					this.handles.filter( ".ui-state-focus" ).blur();
 					this.handles.removeClass( "ui-state-hover" );
-					this.handles.attr( "disabled", "disabled" );
+					this.handles.propAttr( "disabled", true );
 					this.element.addClass( "ui-disabled" );
 				} else {
-					this.handles.removeAttr( "disabled" );
+					this.handles.propAttr( "disabled", false );
 					this.element.removeClass( "ui-disabled" );
 				}
@@ -593,5 +577,5 @@
 		}
 		var step = ( this.options.step > 0 ) ? this.options.step : 1,
-			valModStep = (val - this._valueMin()) % step;
+			valModStep = (val - this._valueMin()) % step,
 			alignValue = val - valModStep;
 
@@ -677,5 +661,5 @@
 
 $.extend( $.ui.slider, {
-	version: "1.8.10"
+	version: "1.8.16"
 });
 
Index: /trunk/themes/default/js/ui/jquery.ui.sortable.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.sortable.js	(revision 12524)
+++ /trunk/themes/default/js/ui/jquery.ui.sortable.js	(revision 12525)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Sortable 1.8.10
+ * jQuery UI Sortable 1.8.16
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -50,6 +50,6 @@
 		this.refresh();
 
-		//Let's determine if the items are floating
-		this.floating = this.items.length ? (/left|right/).test(this.items[0].item.css('float')) : false;
+		//Let's determine if the items are being displayed horizontally
+		this.floating = this.items.length ? o.axis === 'x' || (/left|right/).test(this.items[0].item.css('float')) || (/inline|table-cell/).test(this.items[0].item.css('display')) : false;
 
 		//Let's determine the parent's offset
@@ -615,4 +615,8 @@
 		for (var i = this.items.length - 1; i >= 0; i--){
 			var item = this.items[i];
+
+			//We ignore calculating positions of all connected containers when we're not over them
+			if(item.instance != this.currentContainer && this.currentContainer && item.item[0] != this.currentItem[0])
+				continue;
 
 			var t = this.options.toleranceElement ? $(this.options.toleranceElement, item.item) : item.item;
@@ -981,5 +985,5 @@
 		// We first have to update the dom position of the actual currentItem
 		// Note: don't do it if the current item is already removed (by a user), or it gets reappended (see #4088)
-		if(!this._noFinalSort && this.currentItem[0].parentNode) this.placeholder.before(this.currentItem);
+		if(!this._noFinalSort && this.currentItem.parent().length) this.placeholder.before(this.currentItem);
 		this._noFinalSort = null;
 
@@ -1068,5 +1072,5 @@
 
 $.extend($.ui.sortable, {
-	version: "1.8.10"
+	version: "1.8.16"
 });
 
Index: /trunk/themes/default/js/ui/jquery.ui.tabs.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.tabs.js	(revision 12524)
+++ /trunk/themes/default/js/ui/jquery.ui.tabs.js	(revision 12525)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Tabs 1.8.10
+ * jQuery UI Tabs 1.8.16
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -699,5 +699,5 @@
 
 $.extend( $.ui.tabs, {
-	version: "1.8.10"
+	version: "1.8.16"
 });
 
Index: /trunk/themes/default/js/ui/jquery.ui.widget.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.widget.js	(revision 12524)
+++ /trunk/themes/default/js/ui/jquery.ui.widget.js	(revision 12525)
@@ -1,4 +1,4 @@
 /*!
- * jQuery UI Widget 1.8.10
+ * jQuery UI Widget 1.8.16
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -15,5 +15,8 @@
 	$.cleanData = function( elems ) {
 		for ( var i = 0, elem; (elem = elems[i]) != null; i++ ) {
-			$( elem ).triggerHandler( "remove" );
+			try {
+				$( elem ).triggerHandler( "remove" );
+			// http://bugs.jquery.com/ticket/8235
+			} catch( e ) {}
 		}
 		_cleanData( elems );
@@ -26,5 +29,8 @@
 				if ( !selector || $.filter( selector, [ this ] ).length ) {
 					$( "*", this ).add( [ this ] ).each(function() {
-						$( this ).triggerHandler( "remove" );
+						try {
+							$( this ).triggerHandler( "remove" );
+						// http://bugs.jquery.com/ticket/8235
+						} catch( e ) {}
 					});
 				}
